<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Form Update Pendaftar</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <section class="clearfix">
        <div class="row" id="printDiv" th:if="${detail} != null">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel tile fixed_height_160">
                    <div class="alert alert-info">
                        <h2><i class="fa fa-warning"></i> Warning!</h2>
                        <h5>Untuk melakukan perubahan data dimenu generate nim.</h5>
                        <a th:href="@{/generateNim/form(pendaftar=${pendaftar.id})}" class="btn btn-warning"><i class="fa fa-money"></i>&nbsp;Edit Data</a>

                    </div>
                </div>
            </div>
        </div>
        <div class="row" th:if="${detail} == null">
            <form th:action="@{/pendaftar/update}" th:object="${pendaftar}" method="post">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel tile fixed_height_160">
                        <div class="x_title">
                            <h1 th:text="${'Update '+pendaftar.nomorRegistrasi+' - '+pendaftar.leads.nama}"></h1>
                            <div class="clearfix"></div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                <div class="card">
                                    <div class="row clearfix">
                                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                            <div class="card">
                                                <div class="body">
                                                    <input type="hidden" name="id" th:field="*{id}">
                                                    <input type="hidden" name="leads" th:field="*{leads}">
                                                    <input type="hidden" name="tahunAjaran" th:field="*{tahunAjaran}">
                                                    <input type="hidden" name="nomorRegistrasi" th:field="*{nomorRegistrasi}">
                                                    <input type="hidden" name="followup" th:field="*{followup}">

                                                    <div class="row">
                                                        <div class="col-sm-6">
                                                            <label>Program Studi Pilihan *</label>
                                                            <select name="programStudi" class="form-control" required autofocus  th:if="*{leads.jenjang.S1 == leads.jenjang}" th:field="*{programStudi}">
                                                                <option value=""> ~ Pilih Salah Satu ~ </option>
                                                                <option disabled value="" style="speak-header: always; font-weight: bold;">Institut Tazkia</option>
                                                                <option th:each="ins : ${daftarProdiS1}"
                                                                        th:value="${ins.id}"
                                                                        th:text="${ins.nama}">Ekonomi Syariah</option>
                                                                <option disabled value="" style="speak-header: always; font-weight: bold;">STMIK Tazkia</option>
                                                                <option value="013">Teknik Informatika</option>
                                                                <option value="014">Sistem Informasi</option>
                                                            </select>
<!--                                                            <select name="programStudi" th:if="*{leads.jenjang.S1 == leads.jenjang}"-->
<!--                                                                    class="form-control js-example-placeholder-single" required autofocus th:field="*{programStudi}">&lt;!&ndash;th:field="*{programStudi}"&ndash;&gt;-->
<!--                                                                <option value="">-Pilih Program Studi-</option>-->
<!--                                                                <option th:each="ins : ${daftarProdiS1SiTi}"-->
<!--                                                                        th:value="${ins.id}"-->
<!--                                                                        th:text="${ins.nama}">Ekonomi Syariah</option>-->
<!--                                                            </select>-->
                                                            <!--S2-->
                                                            <select name="programStudi" th:if="*{leads.jenjang.S2 == leads.jenjang}"
                                                                    class="form-control js-example-placeholder-single" required autofocus th:field="*{programStudi}"><!--th:field="*{programStudi}"-->
                                                                <option value="">-Pilih Program Studi-</option>
                                                                <option th:each="ins : ${daftarProdiS2}"
                                                                        th:value="${ins.id}"
                                                                        th:text="${ins.nama}">Ekonomi Syariah</option>
                                                            </select>
                                                            <!--D3-->
                                                            <!--<select name="programStudi" th:if="*{leads.jenjang.D3 == leads.jenjang}"-->
                                                                    <!--class="form-control js-example-placeholder-single" required autofocus>&lt;!&ndash;th:field="*{programStudi}"&ndash;&gt;-->
                                                                <!--<option value="">-Pilih Program Studi-</option>-->
                                                                <!--<option th:each="ins : ${daftarProdiD3}"-->
                                                                        <!--th:value="${ins.id}"></option>-->
                                                            <!--</select>-->
                                                            <!--<select name="programStudi"-->
                                                                    <!--class="form-control js-example-placeholder-single" required autofocus th:field="*{programStudi}">-->
                                                                <!--<option value="">-Pilih Program Studi-</option>-->
                                                                <!--<option th:each="ins : ${daftarProdi}"-->
                                                                        <!--th:value="${ins.id}"-->
                                                                        <!--th:text="${ins.nama}">Ekonomi Syariah</option>-->
                                                            <!--</select>-->
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <div class="form-group">
                                                                <div class="form-line">
                                                                    <label>Kelas *</label>
                                                                    <!--S1-->
                                                                    <select th:if="*{leads.jenjang.S1 == leads.jenjang}" class="form-control" id="kelas" th:field="*{konsentrasi}" name="kelas">
                                                                        <option value="Reguler">Reguler</option>
                                                                        <option value="Karyawan">Karyawan</option>
                                                                        <option value="Hafiz Nomist">Hafiz Nomist</option>
                                                                        <option value="Beasiswa">Beasiswa</option>
                                                                    </select>
                                                                    <select th:if="*{leads.jenjang.S2 == leads.jenjang}" class="form-control" id="kelas" th:field="*{konsentrasi}" name="kelas">
                                                                        <option value="Reguler">Reguler</option>
                                                                        <option value="Eksekutif">Eksekutif</option>
                                                                        <option value="Beasiswa">Beasiswa</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-sm-6">
                                                            <div class="form-group">
                                                                <div class="form-line">
                                                                    <label th:if="*{leads.jenjang.S1 == leads.jenjang}">Kota Asal Sekolah *</label>
                                                                    <label th:if="*{leads.jenjang.S2 == leads.jenjang}">Kota Asal Universitas *</label>
                                                                    <select name="idKabupatenKota"
                                                                            class="form-control js-example-placeholder-single" required autofocus><!--th:field="*{programStudi}"-->
                                                                        <option value="">-Pilih Kota-</option>
                                                                        <option th:each="ins : ${daftarKokab}"
                                                                                th:value="${ins.id}"
                                                                                th:text="${ins.nama}"
                                                                                th:field="*{idKabupatenKota}">Ekonomi Syariah</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <div class="form-group">
                                                                <div class="form-line">
                                                                    <label>Asal Sekolah</label>
                                                                    <input type="text" name="namaAsalSekolah" id="sekolah" th:field="*{namaAsalSekolah}" class="form-control"
                                                                           placeholder="Asal Sekolah" required autofocus/> <!-- -->

                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-sm-6">
                                                            <div class="form-group">
                                                                <div class="form-line">
                                                                    <label>Pemberi Rekomendasi *</label>
                                                                    <input type="hidden" name="perekomendasi" th:field="*{perekomendasi}">
                                                                    <select name="perekomendasi" disabled class="form-control js-example-placeholder-single"
                                                                            id="pemberi_rekomendasi" th:field="*{perekomendasi}" required autofocus>  <!---->
                                                                        <option value="">-Pilih Pemberi Rekomendasi-</option>
                                                                        <option value="Iklan Fecebook">Iklan Fecebook</option>
                                                                        <option value="Iklan Instagram">Iklan Instagram</option>
                                                                        <option value="Iklan Youtube">Iklan Youtube</option>
                                                                        <option value="Iklan Google">Iklan Google</option>
                                                                        <option value="Koran/Surat Kabar">Koran/Surat Kabar</option>
                                                                        <option value="Majalah">Majalah</option>
                                                                        <option value="Agen Tazkia">Agen Tazkia</option>
                                                                        <option value="Mahasiswa Tazkia">Mahasiswa Tazkia</option>
                                                                        <option value="Dosen Tazkia">Dosen Tazkia</option>
                                                                        <option value="Alumni Tazkia">Alumni Tazkia</option>
                                                                        <option value="Karyawan Tazkia">Karyawan Tazkia</option>
                                                                        <option value="Website">Website</option>
                                                                        <option value="Instagram">Instagram</option>
                                                                        <option value="Fecebook">Fecebook</option>
                                                                        <option value="Youtube">Youtube</option>
                                                                        <option value="Google Search">Google Search</option>
                                                                        <option value="Sosialisai Sekolah">Sosialisai Sekolah</option>
                                                                        <option value="lainnya">Lainnya</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label>Nama Perekomendasi *</label>
                                                            <input type="hidden" name="namaPerekomendasi"  th:field="*{namaPerekomendasi}">
                                                            <input th:if="*{referal == null}" type="text"   name="namaPerekomendasiDis"
                                                                   class="form-control" th:field="*{namaPerekomendasi}"
                                                                   placeholder="Nama Perekomendasi"/><!---->
                                                            <input th:if="*{referal != null}" type="text" disabled  name="namaPerekomendasiDis"
                                                                   class="form-control" th:field="*{referal.nama}"
                                                                   placeholder="Nama Perekomendasi"/>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-12" align="right" >
                                                        <div class="form-group">
                                                            <div>
                                                                <button class="btn btn-md btn-info" type="">Update</button>
                                                                <a th:href="@{/pendaftar/list}" class="btn btn-danger btn-md">BATAL</a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <!--//table//-->
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </form>
        </div>
    </section>

</section>

</body>
</html>
<script th:src="@{/js/aplikasi.js}"></script>

<script>
    $(".js-example-placeholder-single").select2({
        placeholder: "- Pilih Salah Satu -",
        allowClear: true
    });

</script>